Create User

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Authorization

This endpoint requires Authorization.

Request Body

KeyTypeDescriptionRequired
emailstringEmail address for the new user. Must be unique across all organizations under this partner.Yes
namestringDisplay name for the new user.Yes
group_idsarrayList of group UUIDs to assign the user to. At least one group is required.Yes
{
  "email": "[email protected]",
  "name": "Jane Doe",
  "group_ids": ["269ec8e1-f599-4918-a36b-424aaeef6b83"]
}

Response

Returns the created user:

KeyTypeDescription
idstringUnique identifier of the new user (UUID).
namestringDisplay name of the user.
emailstringEmail address of the user.
group_namesarrayNames of the groups the user was assigned to.
deactivated_atdatetimeAlways null for a newly created user.
created_atdatetimeTimestamp when the user was created.
📘

Note

The user will receive a welcome email with instructions to set their password.

Errors

StatusMessageDescription
422Email can't be blankThe email field is missing.
422Email is not an emailThe email value is not a valid email address.
422You have to assign the user at least to one groupThe group_ids field is missing or empty.
422The user {email} is already associated with another accountThe email is already registered in another organization under this partner.
Body Params
string
required
string
required
group_ids
array of strings
required
group_ids*
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json